#
# Conditional build:
%bcond_with	tests	# perform "make test" (fetches URL passed interactively)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Curl
Summary:	WWW::Curl::easy - Perl extension interface for libcurl
Summary(pl.UTF-8):	WWW::Curl::easy - interfejs perlowy do biblioteki libcurl
Name:		perl-WWW-Curl
Version:	4.17
Release:	4
License:	MPL or MIT/X
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SZ/SZBALINT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	997ac81cd6b03b30b36f7cd930474845
Patch0:		WWW-Curl-4.17-Skip-preprocessor-symbol-only-CURL_STRICTER.patch
Patch1:		curl-7.66.0.patch
URL:		http://curl.haxx.se/libcurl/perl/
BuildRequires:	curl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Module-Install
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Curl-easy
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Curl::easy provides an interface to the libcurl C library
<http://curl.haxx.se/>.

Before v2.0, this module was called 'Curl::easy'. The name has changed
to better suit CPAN naming guidelines.

%description -l pl.UTF-8
WWW::Curl::easy dostarcza interfejs do biblioteki C libcurl
<http://curl.haxx.se/>.

Przed wersją 2.0 ten moduł nazywał się Curl::easy. Nazwa została
zmieniona, aby lepiej pasowała do wytycznych CPAN dotyczących
nazewnictwa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	LD="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/WWW/Curl/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/WWW/Curl.pm
%{perl_vendorarch}/WWW/Curl
%dir %{perl_vendorarch}/auto/WWW/Curl
%attr(755,root,root) %{perl_vendorarch}/auto/WWW/Curl/Curl.so
%{_mandir}/man3/WWW::Curl.3pm*
%changelog
* Fri Dec 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-WWW-Curl.git;a=log;h=master

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 6cfc52b
- fix building with curl 7.66+
- rel 4

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 416955d
- release 5

* Wed Mar 07 2018 Marcin Krol <hawk@tld-linux.org> 59e1c67
- release 2

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bed86b
- up to 4.17

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b1af66e
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b68d732
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9d5bcbe
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 000f38b
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6d97405
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 86e7eb4
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6e74e74
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 201df34
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c950c3d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 0e3c805
- updated to 4.15

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> dc45b14
- rel 2

* Tue Oct 26 2010 lisu <lisu@pld-linux.org> d879478
- 4.14

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> eb73068
- rel 2

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> 1eab0de
- do not perform tests by default (thx glen)

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> 6ffbffe
- up to 4.13
- why not enable tests by default?

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 85f9238
- rel 2

